%global momorel 3

Name:           perl-Test-YAML-Meta
Version:        0.16
Release:        %{momorel}m%{?dist}
Summary:        Validation of the META.yml file in a distribution
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-YAML-Meta/
Source0:        http://www.cpan.org/authors/id/B/BA/BARBIE/Test-YAML-Meta-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Test-Pod >= 1.00
BuildRequires:  perl-Test-Pod-Coverage >= 0.08
BuildRequires:  perl-Test-YAML-Valid >= 0.03
BuildRequires:  perl-YAML
BuildRequires:  perl-YAML-Syck
Requires:       perl-Test-Pod >= 1.00
Requires:       perl-Test-Pod-Coverage >= 0.08
Requires:       perl-Test-YAML-Valid >= 0.03
Requires:       perl-YAML
Requires:       perl-YAML-Syck
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module was written to ensure that a META.yml file, provided with a
standard distribution uploaded to CPAN, meets the specifications that
slowly being introduced to module uploads, via the use of
ExtUtils::MakeMaker, Module::Build and Module::Install.

%prep
%setup -q -n Test-YAML-Meta-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Artistic Changes LICENSE README
%{perl_vendorlib}/Test/YAML/Meta
%{perl_vendorlib}/Test/YAML/Meta.pm
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.16-3m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.16-2m)
- rebuild against perl-5.12.1

* Sun Apr 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.16-1m)
- update to 0.16

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.15-2m)
- rebuild against perl-5.12.0

* Sun Jan 31 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.15-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
